# Class T8ClientProductConnectionsDTO<TProduct, TEntityType>

#### Type Parameters

- TProduct
- TEntityType

##### Index

### Constructors

constructor

### Properties

definedByType
productIndex

### Methods

getAggregates
getContains
getDefinedByType

## Constructors

### constructor

- new T8ClientProductConnectionsDTO<TProduct, TEntityType>(
  dataModel: T8ClientModelDTO,
  products: TProduct[],
  entityTypes: TEntityType[],
  definedByType: number,
  productIndex: number,
  ): T8ClientProductConnectionsDTO<TProduct, TEntityType>

  #### Type Parameters

  - TProduct
  - TEntityType

  #### Parameters

  - dataModel: T8ClientModelDTO
  - products: TProduct[]
  - entityTypes: TEntityType[]
  - definedByType: number
  - productIndex: number

  #### Returns T8ClientProductConnectionsDTO<TProduct, TEntityType>

## Properties

### definedByType

definedByType: number

### productIndex

productIndex: number

## Methods

### getAggregates

- getAggregates(): undefined | TProduct[]

  #### Returns undefined | TProduct[]

### getContains

- getContains(): undefined | TProduct[]

  #### Returns undefined | TProduct[]

### getDefinedByType

- getDefinedByType(): undefined | TEntityType

  #### Returns undefined | TEntityType